<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaFisiometria1.home.createOrEditLabel"
          data-cy="Fisiometria1CreateUpdateHeading"
          v-text="$t('gatewayApp.manillaFisiometria1.home.createOrEditLabel')"
        >
          Create or edit a Fisiometria1
        </h2>
        <div>
          <div class="form-group" v-if="fisiometria1.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="fisiometria1.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaFisiometria1.ritmoCardiaco')" for="fisiometria-1-ritmoCardiaco"
              >Ritmo Cardiaco</label
            >
            <input
              type="number"
              class="form-control"
              name="ritmoCardiaco"
              id="fisiometria-1-ritmoCardiaco"
              data-cy="ritmoCardiaco"
              :class="{ valid: !$v.fisiometria1.ritmoCardiaco.$invalid, invalid: $v.fisiometria1.ritmoCardiaco.$invalid }"
              v-model.number="$v.fisiometria1.ritmoCardiaco.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.manillaFisiometria1.ritmoRespiratorio')"
              for="fisiometria-1-ritmoRespiratorio"
              >Ritmo Respiratorio</label
            >
            <input
              type="number"
              class="form-control"
              name="ritmoRespiratorio"
              id="fisiometria-1-ritmoRespiratorio"
              data-cy="ritmoRespiratorio"
              :class="{ valid: !$v.fisiometria1.ritmoRespiratorio.$invalid, invalid: $v.fisiometria1.ritmoRespiratorio.$invalid }"
              v-model.number="$v.fisiometria1.ritmoRespiratorio.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaFisiometria1.oximetria')" for="fisiometria-1-oximetria"
              >Oximetria</label
            >
            <input
              type="number"
              class="form-control"
              name="oximetria"
              id="fisiometria-1-oximetria"
              data-cy="oximetria"
              :class="{ valid: !$v.fisiometria1.oximetria.$invalid, invalid: $v.fisiometria1.oximetria.$invalid }"
              v-model.number="$v.fisiometria1.oximetria.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.manillaFisiometria1.presionArterialSistolica')"
              for="fisiometria-1-presionArterialSistolica"
              >Presion Arterial Sistolica</label
            >
            <input
              type="number"
              class="form-control"
              name="presionArterialSistolica"
              id="fisiometria-1-presionArterialSistolica"
              data-cy="presionArterialSistolica"
              :class="{
                valid: !$v.fisiometria1.presionArterialSistolica.$invalid,
                invalid: $v.fisiometria1.presionArterialSistolica.$invalid,
              }"
              v-model.number="$v.fisiometria1.presionArterialSistolica.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.manillaFisiometria1.presionArterialDiastolica')"
              for="fisiometria-1-presionArterialDiastolica"
              >Presion Arterial Diastolica</label
            >
            <input
              type="number"
              class="form-control"
              name="presionArterialDiastolica"
              id="fisiometria-1-presionArterialDiastolica"
              data-cy="presionArterialDiastolica"
              :class="{
                valid: !$v.fisiometria1.presionArterialDiastolica.$invalid,
                invalid: $v.fisiometria1.presionArterialDiastolica.$invalid,
              }"
              v-model.number="$v.fisiometria1.presionArterialDiastolica.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaFisiometria1.temperatura')" for="fisiometria-1-temperatura"
              >Temperatura</label
            >
            <input
              type="number"
              class="form-control"
              name="temperatura"
              id="fisiometria-1-temperatura"
              data-cy="temperatura"
              :class="{ valid: !$v.fisiometria1.temperatura.$invalid, invalid: $v.fisiometria1.temperatura.$invalid }"
              v-model.number="$v.fisiometria1.temperatura.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaFisiometria1.fechaRegistro')" for="fisiometria-1-fechaRegistro"
              >Fecha Registro</label
            >
            <div class="d-flex">
              <input
                id="fisiometria-1-fechaRegistro"
                data-cy="fechaRegistro"
                type="datetime-local"
                class="form-control"
                name="fechaRegistro"
                :class="{ valid: !$v.fisiometria1.fechaRegistro.$invalid, invalid: $v.fisiometria1.fechaRegistro.$invalid }"
                :value="convertDateTimeFromServer($v.fisiometria1.fechaRegistro.$model)"
                @change="updateInstantField('fechaRegistro', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaFisiometria1.fechaToma')" for="fisiometria-1-fechaToma"
              >Fecha Toma</label
            >
            <div class="d-flex">
              <input
                id="fisiometria-1-fechaToma"
                data-cy="fechaToma"
                type="datetime-local"
                class="form-control"
                name="fechaToma"
                :class="{ valid: !$v.fisiometria1.fechaToma.$invalid, invalid: $v.fisiometria1.fechaToma.$invalid }"
                :value="convertDateTimeFromServer($v.fisiometria1.fechaToma.$model)"
                @change="updateInstantField('fechaToma', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaFisiometria1.user')" for="fisiometria-1-user">User</label>
            <select class="form-control" id="fisiometria-1-user" data-cy="user" name="user" v-model="fisiometria1.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="fisiometria1.user && userOption.id === fisiometria1.user.id ? fisiometria1.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.fisiometria1.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./fisiometria-1-update.component.ts"></script>
